require "skip/version"

module Skip
  def self.setup_ruby
    exit_after = false
    while ARGV.first && ARGV.first[0] == "-"
      arg = ARGV.shift

      case
      when arg == '--version'
        puts RUBY_DESCRIPTION
        exit
      when arg == '--copyright'
        puts RUBY_COPYRIGHT
        exit
      when arg.start_with?("-I")
        path = arg[2..-1]
        $LOAD_PATH.unshift(path) unless $LOAD_PATH.include?(path)
      when arg == '-e'
        cmd = ARGV.shift
        exit_after = true
        eval(cmd)
      else
        puts "Argument not supported #{arg}"
        exit
      end
    end

    exit if exit_after
  end
end
